#-------------------------------------------------------------------------------
# XRootD client configuration file
#
# Uncomment the line containing the variable you want to change to make it
# effective.
#
# Settings defined in /etc/xrootd/client.conf will be overriden by the
# ones defined in ~/.xrootd/client.conf or by environment variable (see
# man xrdcp for details).
#
# All the timeout values are in seconds.
#-------------------------------------------------------------------------------

#-------------------------------------------------------------------------------
# A time window for the connection establishment. A connection failure is
# declared if the connection is not established within the time window. If
# a connection failure happens earlier then another connection attempt will
# only be made at the beginning of the next window.
#
# ConnectionWindow = 120
#-------------------------------------------------------------------------------
# Number of connection attempts that should be made (number of available
# connection windows) before declaring a permanent failure.
#
# ConnectionRetry = 5
#-------------------------------------------------------------------------------
# Default value for the time after which an error is declared if it was
# impossible to get a response to a request.
#
# RequestTimeout = 1800
#-------------------------------------------------------------------------------
# Default value for the time after which a connection error is declared (and a
# recovery attempted) if there are unfulfilled requests and there is no socket
# activity or a registered wait timeout.
#
# StreamTimeout = 60
#-------------------------------------------------------------------------------
# Number of streams per session.
#
# SubStreamsPerChannel = 1
#-------------------------------------------------------------------------------
# Resolution for the timeout events. Ie. timeout events will be processed only
# every TimeoutResolution seconds.
#
# TimeoutResolution = 15
#-------------------------------------------------------------------------------
# Time after which the permanent failure flags are cleared out and a new
# connection may be attempted if needed.
#
# StreamErrorWindow = 1800
#-------------------------------------------------------------------------------
# Determines whether the fork handlers should be enabled, making the API fork
# safe - this has performance implications, so probably you want to set it
# on per-process level via an environment variable.
#
# RunForkHandler = 0
#-------------------------------------------------------------------------------
# Maximum number of allowed redirections.
#
# RedirectLimit = 16
#-------------------------------------------------------------------------------
# Number of threads processing user callbacks.
#
# WorkerThreads = 3
#-------------------------------------------------------------------------------
# Size of a single data chunk handled by xrdcopy.
#
# CPChunkSize = 16777216
#-------------------------------------------------------------------------------
# Maximum number of asynchronous requests being processed by the xrdcopy
# command at any given time.
#
# CPParallelChunks = 4
#-------------------------------------------------------------------------------
# Time period after which an idle connection to a data server should be closed.
#
# DataServerTTL = 300
#-------------------------------------------------------------------------------
# Time period after which an idle connection to a manager or a load balancer
# should be closed.
#
# LoadBalancerTTL = 1200
#-------------------------------------------------------------------------------
# Maximum time allowed for the copy process to initialize, ie. open the source
# and destination files.
#
# CPInitTimeout = 600
#-------------------------------------------------------------------------------
# Maximum time allowed for a third-party copy operation to finish.
#
# CPTPCTimeout = 1800
#-------------------------------------------------------------------------------
# Enable/Disable the TCP keep alive functionality
#
# TCPKeepAlive = 0
#-------------------------------------------------------------------------------
# Time between last data packet sent and the first keepalive probe (Linux only)
#
# TCPKeepAliveTime = 7200
#-------------------------------------------------------------------------------
# Interval between subsequent keepalive probes (Linux only)
#
# TCPKeepAliveInterval = 75
#-------------------------------------------------------------------------------
# Number of unacknowledged probes before considering the connection dead
# (Linux only)
#
# TCPKeepProbes  = 9
#-------------------------------------------------------------------------------
# A comma separated list of poller implementations in order of preference.
#
# PollerPreference = built-in,libevent
#-------------------------------------------------------------------------------
# The network stack that the client should use to connect to the server.
# Possible values are:
#
# IPAuto      - automatically detect which IP stack to use
# IPAll       - use IPv6 stack (AF_INET6 sockets) and both IPv6 and IPv4
#               (mapped to IPv6) addresses
# IPv6        - use only IPv6 stack and addresses
# IPv4        - use only IPv4 stack (AF_INET sockets) and addresses
# IPv4Mapped6 - use IPv6 stack and mapped IPv4 addresses
#
# NetworkStack = IPAuto
#-------------------------------------------------------------------------------
# Path to the client monitor library.
#
# ClientMonitor =
#-------------------------------------------------------------------------------
# Additional optional parameters that will be passed to the monitoring object
# on initialization.
#
# ClientMonitorParam =
#-------------------------------------------------------------------------------
# A custom location containing client plug-in config files.
#
# PlugInConfDir =
#-------------------------------------------------------------------------------
# A default client plug-in to be used.
#
# PlugIn =
#-------------------------------------------------------------------------------
